import { Image, View, Text } from "@tarojs/components";
import "./index.less";
import empty from "@/assets/images/kitchenWaste/empty.png";
import { CSSProperties } from "react";

interface Props {
  style?: CSSProperties;
}
/**
 * @description 空数据组件
 */
export default (props: Props) => {
  const { style } = props;
  return (
    <View className="empty" style={style}>
      <Image src={empty} />
      <View className="em-text">
        <Text>暂无数据...</Text>
      </View>
    </View>
  );
};
