//封装的LabelText
import { View, Text } from '@tarojs/components';
import './index.less';
interface LabelTextProps {
  label: string;
  value: string | undefined;
  labelColor?: string; //颜色
}
function LabelText({ label, value, labelColor }: LabelTextProps) {
  return (
    <View className="label-wrap">
      <Text className="label" style={{ color: labelColor }}>
        {label}：
      </Text>
      <Text className="value">{value}</Text>
    </View>
  );
}

export default LabelText;
