import { View } from "@tarojs/components";
const LabelText = ({
  label,
  text,
  wrap = false,
  textColor,
  labelColor,
}: any) => {
  return (
    <View className="labelTextWrapper">
      <View className="label" style={{ color: labelColor }}>
        {label}：
      </View>
      <View className="labelTextNowrap" style={{ color: textColor }}>
        {text}
      </View>
    </View>
  );
};

export default LabelText;
