//封装的标题
import { View } from '@tarojs/components';
import { CSSProperties, ReactNode } from 'react';
import './index.less';
interface ITitleProps {
  title: string;
  style?: CSSProperties;
  rightExra?: ReactNode;
}
function ITitle({ title, style, rightExra }: ITitleProps) {
  return (
    <View className="wrap-title dflex" style={{ ...style }}>
      <View className="title">{title}</View>
      <View className='right'>{rightExra}</View>
    </View>
  );
}

export default ITitle;
