//举手之劳弹出框
import { FC } from "react";
import { View, Image } from "@tarojs/components";
import "./index.less";
import take from "@/assets/icon/take.png";
import Taro from "@tarojs/taro";
import pic1 from "@/assets/images/event/photo/pic1.jpg";
import pic2 from "@/assets/images/event/photo/pic2.jpg";
import pic3 from "@/assets/images/event/photo/pic3.jpg";
import pic4 from "@/assets/images/event/photo/pic4.jpg";
import pic5 from "@/assets/images/event/photo/pic5.jpg";
import pic6 from "@/assets/images/event/photo/pic6.jpg";
import useReportStore from "@/store/report";
const LiftFinger: FC = ({}) => {
  const { updateDiscover } = useReportStore();
  //跳转拍照页
  const jumpToCameraPage = () => {
    updateDiscover("liftFinger");
    Taro.navigateTo({
      url: "/pages/Event/view/cameraComp/index",
    });
  };
  return (
    <View>
      <View className="finger">
        {[pic1, pic2, pic3, pic4, pic5, pic6].map((v, vIndex) => (
          <Image className="item-img" src={v} key={vIndex} />
        ))}
      </View>
      <View className="entry-wrap" onClick={jumpToCameraPage}>
        <Image className="item-icon" src={take} />
        <View className="name">记录我的举手之劳</View>
      </View>
    </View>
  );
};
export default LiftFinger;
